---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/07_Cantellos_shop/Anim/z_table/"
---------------------------------------------------------------------------------------
createCompositionfon = nil
createCompositionlight_of_candle = nil
---------------------------------------------------------------------------------------
createCompositionfon = function()
	local compositionfon = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfon:setDuration(compositionDuration)
	compositionfon:setName("compositionfon" )
	compositionfon:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer light_of_candle/1
	element = createCompositionlight_of_candle()
	element:setName("light_of_candle/1")
	compositionfon:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionfon)
	element:setXY(326.086959838867, 103.478271484375)
 
	element:setScale(0.40489129201,0.44565216242028)
	element:setOpacity(0.35)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer light_of_candle/2
	element = createCompositionlight_of_candle()
	element:setName("light_of_candle/2")
	compositionfon:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionfon)
	element:setXY(341.739135742188, 233.043472290039)
 
	element:setOpacity(0.35)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer flameSmal_[].png/3
	element = CreateCompositionElement(PREFIX_PATH.."flameSmal_[].png")
	element:setName("flameSmal_[].png/3")
	compositionfon:addElement(element)
	element:setHotSpot(18.8695586011629, 60.4347882153633)
	element:setParentElement(compositionfon)
	element:setXY(499.130438117764, 14.782612312043)
 
					local anim = element
					anim:setAnimationSize(36,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer flameSmal_[].png/4
	element = CreateCompositionElement(PREFIX_PATH.."flameSmal_[].png")
	element:setName("flameSmal_[].png/4")
	compositionfon:addElement(element)
	element:setHotSpot(18.8695586011629, 60.4347882153633)
	element:setParentElement(compositionfon)
	element:setXY(371.30434253671, 55.6521801831368)
 
					local anim = element
					anim:setAnimationSize(36,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionfon:play()
 
	return compositionfon
end
 
createCompositionlight_of_candle = function()
	local compositionlight_of_candle = CreateCompositionSequence()
	local compositionDuration = 8
	compositionlight_of_candle:setDuration(compositionDuration)
	compositionlight_of_candle:setName("compositionlight_of_candle" )
	compositionlight_of_candle:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer lab_0000s_0028_zheltaya_lampochka_svet.png/1
	element = CreateCompositionElement(PREFIX_PATH.."lab_0000s_0028_zheltaya_lampochka_svet.png")
	element:setName("lab_0000s_0028_zheltaya_lampochka_svet.png/1")
	compositionlight_of_candle:addElement(element)
	element:setHotSpot(42, 41)
	element:setParentElement(compositionlight_of_candle)
	element:setXY(409.565200805664, 36.521728515625)
 
	element:setScale(6.83244974976276,6.83244974976276)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.18086751302083, 0.18)
	effector:setKey(_TRACK_O, 0.36173502604167, 0.05)
	effector:setKey(_TRACK_O, 0.6029052734375, 0.19)
	effector:setKey(_TRACK_O, 0.78377278645833, 0.04)
	effector:setKey(_TRACK_O, 0.96464029947917, 0.41)
	effector:setKey(_TRACK_O, 1.1455078125, 0.29)
	effector:setKey(_TRACK_O, 1.32637532552083, 0.5)
	effector:setKey(_TRACK_O, 1.50724283854167, 0.28)
	effector:setKey(_TRACK_O, 1.68815104166667, 0.6)
	effector:setKey(_TRACK_O, 1.86897786458333, 0.24)
	effector:setKey(_TRACK_O, 2.04988606770833, 0.4)
	effector:setKey(_TRACK_O, 2.291015625, 0)
	effector:setKey(_TRACK_O, 2.53218587239583, 0.26)
	effector:setKey(_TRACK_O, 2.71309407552083, 0)
	effector:setKey(_TRACK_O, 2.8939208984375, 0.5)
	effector:setKey(_TRACK_O, 3.13509114583333, 0.36)
	effector:setKey(_TRACK_O, 3.31595865885417, 0.57)
	effector:setKey(_TRACK_O, 3.55712890625, 0.38)
	effector:setKey(_TRACK_O, 3.738037109375, 0.57)
	effector:setKey(_TRACK_O, 3.91886393229167, 0)
	effector:setKey(_TRACK_O, 4.09977213541667, 0.18)
	effector:setKey(_TRACK_O, 4.28059895833333, 0.05)
	effector:setKey(_TRACK_O, 4.52176920572917, 0.19)
	effector:setKey(_TRACK_O, 4.70267740885417, 0.04)
	effector:setKey(_TRACK_O, 4.88350423177083, 0.41)
	effector:setKey(_TRACK_O, 5.06441243489583, 0.29)
	effector:setKey(_TRACK_O, 5.2452392578125, 0.5)
	effector:setKey(_TRACK_O, 5.4261474609375, 0.28)
	effector:setKey(_TRACK_O, 5.60701497395833, 0.6)
	effector:setKey(_TRACK_O, 5.78788248697917, 0.24)
	effector:setKey(_TRACK_O, 5.96875, 0.4)
	effector:setKey(_TRACK_O, 6.20987955729167, 0)
	effector:setKey(_TRACK_O, 6.45109049479167, 0.26)
	effector:setKey(_TRACK_O, 6.6319580078125, 0)
	effector:setKey(_TRACK_O, 6.81282552083333, 0.5)
	effector:setKey(_TRACK_O, 7.05399576822917, 0.36)
	effector:setKey(_TRACK_O, 7.23482259114583, 0.57)
	effector:setKey(_TRACK_O, 7.47599283854167, 0.38)
	effector:setKey(_TRACK_O, 7.65690104166667, 0.57)
	effector:setKey(_TRACK_O, 7.83772786458333, 0.32)
	effector:setKey(_TRACK_O, 7.95833333333333, 0)
	effector:play()
 
	compositionlight_of_candle:play()
 
	return compositionlight_of_candle
end
 
